JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class User32Util

    java.lang.Object
      com.sun.jna.platform.win32.User32Util

    public final class User32Util

extends java.lang.Object

Provides convenient usage of functions defined by `User32.dll`.

Author:
  Ralf HAMBERGER, Markus KARG (markus[at]headcrashing[dot]eu)

Constructor Summary
`User32Util()`

Method Summary
`static WinDef.HWND` `createWindow(java.lang.String className, java.lang.String windowName, int style, int x, int y, int width, int height, WinDef.HWND parent, WinDef.HMENU menu, WinDef.HINSTANCE instance, WinDef.LPVOID param)`
`static WinDef.HWND` `createWindowEx(int exStyle, java.lang.String className, java.lang.String windowName, int style, int x, int y, int width, int height, WinDef.HWND parent, WinDef.HMENU menu, WinDef.HINSTANCE instance, WinDef.LPVOID param)`
`static void` `destroyWindow(WinDef.HWND hWnd)`
`static int` `registerWindowMessage(java.lang.String lpString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### User32Util

    public User32Util()

Method Detail

### registerWindowMessage

    public static final int registerWindowMessage(java.lang.String lpString)

### createWindow

    public static final WinDef.HWND createWindow(java.lang.String className,
                                                 java.lang.String windowName,
                                                 int style,
                                                 int x,
                                                 int y,
                                                 int width,
                                                 int height,
                                                 WinDef.HWND parent,
                                                 WinDef.HMENU menu,
                                                 WinDef.HINSTANCE instance,
                                                 WinDef.LPVOID param)

### createWindowEx

    public static final WinDef.HWND createWindowEx(int exStyle,
                                                   java.lang.String className,
                                                   java.lang.String windowName,
                                                   int style,
                                                   int x,
                                                   int y,
                                                   int width,
                                                   int height,
                                                   WinDef.HWND parent,
                                                   WinDef.HMENU menu,
                                                   WinDef.HINSTANCE instance,
                                                   WinDef.LPVOID param)

### destroyWindow

    public static final void destroyWindow(WinDef.HWND hWnd)

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.